Skip to main content
GET
Profit and loss

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

start_date
string<date>
required

First activity day, YYYY-MM-DD, UTC, inclusive.

end_date
string<date>
required

Last activity day, YYYY-MM-DD, UTC, inclusive. At most 365 days after start_date.

group_by
enum<string>
default:total

total, day (activity day: statement UTC date minus one) or sku.

Available options:
total,
day,
sku
organization_id
integer

Use the TikTok Shop of this child brand (organization id) of your API key's organization

Response

{ window, basis: statement_activity_day_utc, groupBy, currency, groups: [{ key, ...line }], totals: line, unallocated: line | null, statements: { listed, fullyRead, headerTotals }, coverage: { statementPages, transactionPages, transactionRows, statementsFailed, ordersNeeded, ordersRead, ordersFailed }, truncated, truncatedReasons, skusWithoutCogs }. line = { revenue, revenueBreakdown, refunds, shipping, shippingBreakdown, feesAndTaxes, fees, taxes, platformCommission, affiliateCommission, adjustments, adjustmentsByType, reserve, settlement, rows: { orders, adjustments, reserves, skus }, units, cogs, grossProfit }.